Import Application
POST/import/workspace/{workspaceId}/apps
Imports an application into a ToolJet workspace.
Path Parameters
The unique identifier of the workspace to import the application into.
Error Responses
Invalid workspace UUID, workspace not found, payload version newer than server version, missing app name, or MODULE type apps cannot be imported via this endpoint.
Missing or invalid Authorization token.
A ToolJet Database table with the same name already exists.
Internal server error.
Request Body
Overrides the app name on import. Uses the exported name if omitted.
Request
curl -X POST "https://{your-domain}/api/ext/import/workspace/{workspaceId}/apps" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{}'Response — 201
{
"message": "App imported successfully into workspace : <workspaceId>"
}